package cn.net.caoyao.cpzshandset.bean;

import java.io.Serializable;

import cn.net.caoyao.cpzshandset.common.config.Config;

public class SaleBean implements Serializable{
	private int id;//表ID，自增主键
	private String describe;//描述
	private int sales_area;//销售区域的code码
	private int option_mode = 0;//0：单标激活   1：批量激活
	private int status = 0;//0：未提交 1：提交失败
	private int error_code;//提交后服务器返回的错误码
	private String createDate;//创建时间，insert时自动生成
	
	private long dealer_id;//经销商id
	private int plan_num;//
	private String purchaser;//采购方
	private String product_id;//产品id
	
	public SaleBean() {
	}
	
	public SaleBean(int sales_area, String describe) {
		this.sales_area = sales_area;
		this.describe = describe;
		option_mode = Config.SINGLE_OPTION_LABEL_TYPE;
		status = Config.SUBMIT_STATUS_NOT_SUBMIT;
		error_code = 0;
		}
	public int getId() {
		return id;
	}
	public void setId(int id) {
		this.id = id;
	}
	public String getDescribe() {
		return describe;
	}
	public void setDescribe(String describe) {
		this.describe = describe;
	}
	public int getSales_area() {
		return sales_area;
	}
	public void setSales_area(int sales_area) {
		this.sales_area = sales_area;
	}
	public int getOption_mode() {
		return option_mode;
	}
	public void setOption_mode(int option_mode) {
		this.option_mode = option_mode;
	}
	public int getStatus() {
		return status;
	}
	public void setStatus(int status) {
		this.status = status;
	}
	public int getError_code() {
		return error_code;
	}
	public void setError_code(int error_code) {
		this.error_code = error_code;
	}
	public String getCreateDate() {
		return createDate;
	}
	public void setCreateDate(String createDate) {
		this.createDate = createDate;
	}
	public long getDealer_id() {
		return dealer_id;
	}
	public void setDealer_id(long dealer_id) {
		this.dealer_id = dealer_id;
	}

	public int getPlan_num() {
		return plan_num;
	}
	public void setPlan_num(int plan_num) {
		this.plan_num = plan_num;
	}
	public String getPurchaser() {
		return purchaser;
	}
	public void setPurchaser(String purchaser) {
		this.purchaser = purchaser;
	}
	public String getProduct_id() {
		return product_id;
	}
	public void setProduct_id(String product_id) {
		this.product_id = product_id;
	}

	@Override
	public String toString() {
		return "SaleBean [id=" + id + ", describe=" + describe + ", sales_area=" + sales_area + ", option_mode="
				+ option_mode + ", status=" + status + ", error_code=" + error_code + ", createDate=" + createDate
				+ ", dealer_id=" + dealer_id + ", plan_num=" + plan_num + ", purchaser=" + purchaser + ", product_id="
				+ product_id + "]";
	}
}
